petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMHasNamedGlobalVector

check for a named, persistent global vector

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMHasNamedGlobalVector(DM dm,const char *name,PetscBool *exists)

Not Collective

### Input Arguments

| dm | - DM to hold named vectors
| name | - unique name for Vec

### Output Arguments

exists -true if the vector was previously created

Note: If a Vec with the given name does not exist, it is created.

### See Also

DMGetNamedGlobalVector(),DMRestoreNamedLocalVector()

Level:developer
Location:src/dm/interface/dmget.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages